<?php
/* definicja zmiennych */
$x = (int)2025; // typu integer
$y = (float)2025; // typu float

if ($x == $y) { // sprawdź tylko wartość
    print "Zmienne mają tę samą wartość.".PHP_EOL;
} else {
    print "Zmienne są różnej wartości.".PHP_EOL;
}

if ($x === $y) { // sprawdź wartość i typ
    print "Zmienne mają tę samą wartość i są tego samego typu.".PHP_EOL;
} else {
    print "Zmienne są różnego typu.".PHP_EOL;
}